com.android.agf.adapters

## Class StructureArrayAdapter

- java.lang.Object
- - android.widget.BaseAdapter
  - - android.widget.ArrayAdapter<StructureDashboard>
    - - com.android.agf.adapters.StructureArrayAdapter

- All Implemented Interfaces:
    Adapter, Filterable, ListAdapter, SpinnerAdapter
  Direct Known Subclasses:
    NumComponentsFragment.MyAdapter

      public class StructureArrayAdapter
      extends ArrayAdapter<StructureDashboard>

  adapter per el gridview de la tria d'estructura

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static class` | `StructureArrayAdapter.ViewHolder` ViewHolder per augmentar la velocitat d'acces

  - ### Field Summary

    - ### Fields inherited from interface android.widget.Adapter

      `IGNORE_ITEM_VIEW_TYPE, NO_SELECTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructureArrayAdapter(Context context, int resource, int[] ids, List<StructureDashboard> objects)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `crida(int id)`
    `int` | `getCount()`
    `StructureDashboard` | `getItem(int position)`
    `long` | `getItemId(int position)`
    `View` | `getView(int position, View convertView, ViewGroup parent)` funcio per optimitzar la visualització d'elements segons la seva presencia o no a la pantalla.
    `boolean` | `isEnabled(int _position)`

    - ### Methods inherited from class android.widget.ArrayAdapter

      `add, addAll, addAll, clear, createFromResource, getContext, getDropDownView, getFilter, getPosition, insert, notifyDataSetChanged, remove, setDropDownViewResource, setNotifyOnChange, sort`

    - ### Methods inherited from class android.widget.BaseAdapter

      `areAllItemsEnabled, getItemViewType, getViewTypeCount, hasStableIds, isEmpty, notifyDataSetInvalidated, registerDataSetObserver, unregisterDataSetObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StructureArrayAdapter

          public StructureArrayAdapter(Context context,
                               int resource,
                               int[] ids,
                               List<StructureDashboard> objects)

      Constructor
      Parameters:
        `context` -
        `resource` -
        `ids` -
        `objects` -

  - ### Method Detail

    - #### getView

          public View getView(int position,
                     View convertView,
                     ViewGroup parent)

      funcio per optimitzar la visualització d'elements segons la seva presencia o no a la pantalla.
      Specified by:
        `getView` in interface `Adapter`
      Overrides:
        `getView` in class `ArrayAdapter<StructureDashboard>`

    - #### getCount

          public int getCount()

      Specified by:
        `getCount` in interface `Adapter`
      Overrides:
        `getCount` in class `ArrayAdapter<StructureDashboard>`

    - #### getItem

          public StructureDashboard getItem(int position)

      Specified by:
        `getItem` in interface `Adapter`
      Overrides:
        `getItem` in class `ArrayAdapter<StructureDashboard>`

    - #### getItemId

          public long getItemId(int position)

      Specified by:
        `getItemId` in interface `Adapter`
      Overrides:
        `getItemId` in class `ArrayAdapter<StructureDashboard>`

    - #### isEnabled

          public boolean isEnabled(int _position)

      Specified by:
        `isEnabled` in interface `ListAdapter`
      Overrides:
        `isEnabled` in class `BaseAdapter`

    - #### crida

          public void crida(int id)